Create a webhook
curl --request POST \
--url https://api.coval.dev/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "job_complete",
"url": "https://example.com/hooks/coval",
"auth_token": "whsec_example_token"
}
'import requests
url = "https://api.coval.dev/v1/webhooks"
payload = {
"type": "job_complete",
"url": "https://example.com/hooks/coval",
"auth_token": "whsec_example_token"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'job_complete',
url: 'https://example.com/hooks/coval',
auth_token: 'whsec_example_token'
})
};
fetch('https://api.coval.dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"name": "webhooks/abc123DEF456ghi789JKL0",
"id": "abc123DEF456ghi789JKL0",
"type": "job_complete",
"url": "https://example.com/hooks/coval",
"create_time": "2025-10-14T12:00:00Z",
"has_auth_token": true,
"last_triggered_at": "2025-10-15T09:30:00Z"
}
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request body",
"details": [
{
"field": "url",
"description": "url must be an HTTP(S) URL."
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "API key does not have required permission: webhooks:write"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Service temporarily unavailable",
"details": [
{
"description": "Database routing is temporarily unavailable. Please retry."
}
]
}
}Webhooks
Create a webhook
Register a new webhook subscription.
POST
/
webhooks
Create a webhook
Authorizations
API key for authentication
Body
application/json
Event that triggers the webhook
Available options:
job_complete Example:
"job_complete"
HTTP(S) URL Coval POSTs to when the event fires
Required string length:
1 - 200Example:
"https://example.com/hooks/coval"
Optional secret Coval sends when calling your endpoint. Never returned.
Maximum string length:
255Example:
"whsec_example_token"
Response
Webhook created successfully
A webhook subscription. The auth token is never returned.
Show child attributes
Show child attributes
Was this page helpful?
⌘I